## xapp 1.6.10+tricia

=== debian/changelog ===
xapp (1.6.10+tricia) tricia; urgency=medium

  [ Michael Webster ]
  * xapp-status-icon.c: Sync the visible state of the fallback GtkStatusIcon when it is first created.
  * xapp-status-icon.c: Fix the timeout duration for xapp_status_icon_any_monitors.

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 09 Jan 2020 17:13:49 +0000

xapp (1.6.9) tricia; urgency=medium

  [ Michael Webster ]
  * xapp-icon-chooser-dialog.c: fix hidpi icon rendering and spacing.

  [ Clement Lefebvre ]
  * l10n: Update translations

  [ Michael Webster ]
  * xapp-status-icon.c: Allow a primary-click to activate appindicator icons when they have set a 'secondary activate' target.  Otherwise, have primary open the menu as it ordinarily would.

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 07 Jan 2020 10:21:15 +0000

xapp (1.6.8) tricia; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 11 Dec 2019 14:57:44 +0000

xapp (1.6.7) tricia; urgency=medium

  [ Michael Webster ]
  * xapp-status-icon.c: Reposition the menu when part of it would end up below the workarea of the monitor.
  * mate-xapp-status-applet.py: Call widget.show_all() before binding to the proxy's visible property.  The binding is one way only - local changes can override the state initially set by the proxy.

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 10 Dec 2019 09:48:37 +0000

xapp (1.6.6) tricia; urgency=medium

  [ Michael Webster ]
  * mate-xapp-status-applet.py: Add a small margin at either end of the applet, and allow ctrl-right-clicks anywhere on it, so the user can bring up the About menu.

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 04 Dec 2019 16:24:15 +0000

xapp (1.6.5) tricia; urgency=medium

  [ Michael Webster ]
  * mate-xapp-status-applet.py: Hardcode symbolic icons to 22px.

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 29 Nov 2019 18:33:05 +0000

xapp (1.6.4) tricia; urgency=medium

  * Mate applet: Don't use a handle

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 28 Nov 2019 19:58:37 +0000

xapp (1.6.3) tricia; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 26 Nov 2019 17:11:36 +0000

xapp (1.6.2) tricia; urgency=medium

  [ Eli Schwartz ]
  * mate applet: fix configuring
  * mate applet: fix regression in install location
  * debian: fixup changed file locations

  [ Michael Webster ]
  * mate-xapp-status-applet.py: handle a null icon name correctly.
  * test-scripts: have xapp-status-applet sort icons in the same manner the real applets do (symbolic to the right, then by alpha process name).
  * xapp-status-icon.c: Keep an account of button presses so an orphan release doesn't activate or pop up a menu.
  * xapp-status-icon: Track and notify changes in types of support for the icon - notify when a status icon is picked up by a native applet, a traditional system tray, or is not being picked up by anything.
  * xapp-status-icon.c: Replace g_enum_to_string with a custom function, this isn't available with lmde's glib.

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 22 Nov 2019 10:36:41 +0000

xapp (1.6.1) tricia; urgency=medium

  [ Michael Webster ]
  * xapp-status-icon: Add a function to check for the existence of any active status applets.

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 13 Nov 2019 17:33:22 +0100

## xapp 1.8.6

=== meson_options.txt ===
option('docs',
    type: 'boolean',
    value: false,
    description: 'Build the API references (requires gtk-doc)'
)
option('deprecated_warnings',
    type : 'boolean',
    value : false,
    description: 'Show build warnings for deprecations'
)
option('py-overrides-dir',
    type : 'string',
    value : '',
    description: 'Path to pygobject overrides directory'
)

=== debian/changelog ===
xapp (1.8.6-1~mx19+1) mx; urgency=medium

  * Initial packaging of upstream release for MX 19.
  * renamed upsteam tarball to xapp_1.8.6.orig to align with Debian
  * changed debian/source to quilt

 -- ”SwampRabbit” <maintainer@mepiscommunity.org>  Wed, 27 May 2020 15:52:18 -0400

xapp (1.8.6) ulyana; urgency=medium

  [ Clement Lefebvre ]
  * Update docs

  [ Michael Webster ]
  * xapp-status-icon.c: Add xapp_status_icon_popup_menu() and use a more reliable GtkMenu popup method.
  * xapp-status-icon.c: Fix inadvertant verison change in doc string.

  [ NikoKrause ]
  * Icons: Add symbolic icons for xreaders annotation features (#92)

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 23 May 2020 12:48:43 +0100

xapp (1.8.5) ulyana; urgency=medium

  [ Michael Webster ]
  * xapp-status-icon: Add a get_visible method.
  * mate applet: Use markup for tooltips, and update test script to reflect this as well.
  * mate-xapp-status-applet: Fix set icon error handling when an icon name is missing.
  * xapp-status-icon: Add a get_visible method.
  * mate applet: Use markup for tooltips, and update test script to reflect this as well.
  * mate-xapp-status-applet: Fix set icon error handling when an icon name is missing.

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 21 May 2020 11:23:00 +0100

xapp (1.8.4) ulyana; urgency=medium

  [ Clement Lefebvre ]
  * Update documentation
  * README: Update link to docs
  * Update README.md

  [ Michael Webster ]
  * xapp-util.c: Initialize auto variables.

  [ NikoKrause ]
  * Icons: add pin/unpin symbolic (#90)

  [ Clement Lefebvre ]
  * Icons: Add xapp-diaporama-symbolic

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 11 May 2020 15:44:39 +0100

xapp (1.8.3) ulyana; urgency=medium

  [ Michael Webster ]
  * xapp-sn-watcher: Add autostart file, to start at session, to start at the session initialization phase.
  * Add a utility function to check for nvidia on-demand mode.

  [ Clement Lefebvre ]
  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 11 May 2020 12:14:06 +0100

xapp (1.8.2) ulyana; urgency=medium

  * xapp-sn-watcher: Don't enable in MATE

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 27 Apr 2020 12:03:41 +0100

xapp (1.8.1) ulyana; urgency=medium

  [ Clement Lefebvre ]
  * Update documentation
  * CI: Update targets
  * l10n: Fix makepot picking up unwanted service file

  [ Michael Webster ]
  * Eliminate all appindicator-specific code from xapp-status-icon.c, Add a whitelist for xapp-sn-watcher to list ai icons  that should left-click to activate.

  [ Clement Lefebvre ]
  * Update documentation
  * CI: Update targets
  * l10n: Fix makepot picking up unwanted service file

  [ Michael Webster ]
  * Eliminate all appindicator-specific code from xapp-status-icon.c, Add a whitelist for xapp-sn-watcher to list ai icons  that should left-click to activate.
  * xapp-sn-watcher: Add a whitelist to manage what desktop environments to start in.

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 25 Apr 2020 18:37:40 +0100

xapp (1.8.0) ulyana; urgency=medium

  [ worldofpeace ]
  * Add option to specify path to pygobject override directory
  * Install icons and scripts using meson options

  [ Michael Webster ]
  * xapp-status-icon.c: Sync the visible state of the fallback GtkStatusIcon when it is first created.
  * xapp-status-icon.c: Fix the timeout duration for xapp_status_icon_any_monitors.

  [ leigh123linux ]
  * Remove use of deprecated g_type_class_add_private function

  [ Stephen Collins ]
  * Add gitignore

  [ JosephMcc ]
  * xapp-monitor-blanker: Use G_DECLARE_FINAL_TYPE

  [ Michael Webster ]
  * xapp-status-icon.c: check if we have a fallback status icon before disconnecting signals from it.
  * xapp-status-icon.c: Only call gtk_status_icon_set_name() when explicitly requested.
  * Add StatusNotifier watcher.
  * mate applet: Set the new icon size property (this provides a hint to xapp-sn-watcher or any client app to provide a correct icon size in some situations).
  * status icon: Add support for scroll events
  * debian: Remove python2 deps.
  * debian/control: Add missing dbusmenu dependency.

  [ Clement Lefebvre ]
  * Packaging: Re-add python-gi-dev as build-dep

  [ Michael Webster ]
  * xapp-sn-watcher: rewrite in C due to leaky dbus python bindings.

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 23 Apr 2020 15:49:33 +0100

=== debian/control ===
Source: xapp
Section: x11
Priority: optional
Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
XSBC-Original-Maintainer: Clement Lefebvre <root@linuxmint.com>
Build-Depends:
 debhelper (>= 10),
 dh-python,
 dpkg-dev (>= 1.15.1),
 gobject-introspection (>= 0.10.2-1~),
 gtk-doc-tools (>= 1.4),
 intltool (>= 0.40.6),
 libgdk-pixbuf2.0-dev (>= 2.22.0),
 libgirepository1.0-dev (>= 0.10.2-1~),
 libglib2.0-dev (>= 2.37.3),
 libgnomekbd-dev,
 libgtk-3-dev (>= 3.3.16),
 libdbusmenu-gtk3-dev,
 libx11-dev,
 libxkbfile-dev,
 meson,
 python3,
 python-gi-dev,
 valac,
Standards-Version: 3.9.6

Package: gir1.2-xapp-1.0
Section: introspection
Architecture: any
Depends:
 ${gir:Depends},
 ${misc:Depends},
 ${python3:Depends},
 ${python:Depends},
 ${shlibs:Depends},
Description: Introspection data for XApp
 This package contains the introspection data for XApp.

Package: libxapp-dbg
Section: debug
Priority: extra
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libxapp1 (= ${binary:Version}), ${misc:Depends}
Description: XApp library - debug symbols
 This package contains the symbols files needed to debug the XApp library.

Package: libxapp-dev
Section: libdevel
Architecture: any
Depends:
 gir1.2-xapp-1.0 (= ${binary:Version}),
 libgnomekbd-dev,
 libgtk-3-dev (>= 3.3.16),
 libxapp1 (= ${binary:Version}),
 libxkbfile-dev,
 ${misc:Depends},
Description: XApp library - development files
 This package provides the include files and static library for the XApp
 library functions.

Package: libxapp1
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends:
 libgnomekbd8,
 xapps-common (>= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: XApp library
 This library is used by several Xapp apps.

Package: xapps-common
Architecture: all
Multi-Arch: foreign
Depends:
 inxi,
 python3,
 python3-gi,
 xdg-utils,
 ${misc:Depends},
 ${python3:Depends},
Description: Common files for XApp desktop apps
 This package includes files that are shared between several XApp
 apps (i18n files and configuration schemas).

Package: xapps-doc
Section: doc
Architecture: all
Depends: devhelp, ${misc:Depends}
Description: Libxapp documentation
 This package contains documentation for XApp library

=== debian/rules ===
#!/usr/bin/make -f

# FIXME: much of this can be removed once we move off of xenial/mint 18 base support
# meson support is baked in

%:
	dh $@ --with=gir,python3

override_dh_auto_configure:
	mkdir -p debian/build
	meson debian/build \
		--prefix=/usr \
		--buildtype=plain \
		-D docs=true \
		-D deprecated_warnings=false

override_dh_strip:
	dh_strip --dbg-package=libxapp-dbg
	dh_strip --no-automatic-dbgsym

override_dh_auto_build:
	ninja -C debian/build

override_dh_auto_test:
	ninja -C debian/build test

override_dh_auto_install:
	DESTDIR=${CURDIR}/debian/tmp \
	ninja -C debian/build install

## xapp 1.8.8

=== meson_options.txt ===
--- 
+++ 
@@ -13,3 +13,8 @@
     value : '',
     description: 'Path to pygobject overrides directory'
 )
+option('status-notifier',
+    type: 'boolean',
+    value: true,
+    description: 'Build the XApp StatusNotifier service.'
+)

=== debian/changelog ===
xapp (1.8.8-1) unstable; urgency=medium

  * New upstream version 1.8.8

 -- Norbert Preining <norbert@preining.info>  Thu, 25 Jun 2020 11:05:51 +0900

xapp (1.8.7-1) experimental; urgency=medium

  * New upstream version 1.8.7
  * Bump DH compat to 13

 -- Norbert Preining <norbert@preining.info>  Thu, 11 Jun 2020 14:18:11 +0900

=== debian/control ===
Source: xapp
Section: x11
Priority: optional
Maintainer: Debian Cinnamon Team <debian-cinnamon@lists.debian.org>
Uploaders:
 Maximiliano Curia <maxy@debian.org>,
 Margarita Manterola <marga@debian.org>,
 Norbert Preining <norbert@preining.info>
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 dpkg-dev (>= 1.15.1),
 gobject-introspection (>= 0.10.2-1~),
 gtk-doc-tools (>= 1.4),
 intltool (>= 0.40.6),
 libdbusmenu-gtk3-dev,
 libgdk-pixbuf2.0-dev (>= 2.22.0),
 libgirepository1.0-dev (>= 0.10.2-1~),
 libglib2.0-dev (>= 2.37.3),
 libgnomekbd-dev,
 libgtk-3-dev (>= 3.3.16),
 libx11-dev,
 libxkbfile-dev,
 meson (>= 0.40.0),
 python-gi-dev,
 python3,
 valac,
Standards-Version: 4.4.0
Homepage: http://cinnamon.linuxmint.com/
Vcs-Browser: https://salsa.debian.org/cinnamon-team/xapp
Vcs-Git: https://salsa.debian.org/cinnamon-team/xapp.git

Package: gir1.2-xapp-1.0
Section: introspection
Architecture: any
Depends:
 ${gir:Depends},
 ${misc:Depends},
 ${python3:Depends}
Description: Introspection data for Xapp
 Xapp provides components which are common to multiple desktop environments
 and required to implement cross-DE solutions.
 .
 This package contains the introspection data for Xapp.
Breaks: cinnamon (<< 4.0), cinnamon-screensaver (<< 4.0)

Package: libxapp-dev
Section: libdevel
Architecture: any
Depends:
 gir1.2-xapp-1.0 (= ${binary:Version}),
 libgnomekbd-dev,
 libgtk-3-dev (>= 3.3.16),
 libxapp1 (= ${binary:Version}),
 libxkbfile-dev,
 ${misc:Depends},
Description: XApp library - development files
 Xapp provides components which are common to multiple desktop environments
 and required to implement cross-DE solutions.
 .
 This package provides the include files and static library for the Xapp
 library functions.

Package: libxapp1
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends:
 libgnomekbd8,
 xapps-common (>= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: XApp library
 Xapp provides components which are common to multiple desktop environments
 and required to implement cross-DE solutions.
 .
 This library is used by several Xapp apps.
Breaks: nemo (<< 4.0)

Package: xapps-common
Architecture: all
Multi-Arch: foreign
Depends: python3, python3-gi, xdg-utils, ${misc:Depends}, ${python3:Depends}
Recommends: gist, inxi
Description: Files that are common across Xapp desktop applications
 Xapp provides components which are common to multiple desktop environments
 and required to implement cross-DE solutions.
 .
 This package includes files that are shared between several XApp
 apps (i18n files and configuration schemas).
Breaks: cinnamon (<< 4.0)

Package: xapps-doc
Section: doc
Architecture: all
Depends: devhelp, ${misc:Depends}
Description: Libxapp documentation
 Xapp provides components which are common to multiple desktop environments
 and required to implement cross-DE solutions.
 .
 This package contains documentation for Xapp library

## xapp 1.8.9

=== debian/changelog ===
xapp (1.8.9-1~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Revert to debhelper-compat 12.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 08 Sep 2020 09:19:38 -0700

xapp (1.8.9-1) unstable; urgency=medium

  * New upstream version 1.8.9
  * bump standards version, no changes necessary
  * update symbols

 -- Norbert Preining <norbert@preining.info>  Tue, 18 Aug 2020 14:46:05 +0900

=== debian/control ===
Source: xapp
Section: x11
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian Cinnamon Team <debian-cinnamon@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>,
           Margarita Manterola <marga@debian.org>,
           Norbert Preining <norbert@preining.info>
Build-Depends: debhelper-compat (= 12),
               dh-python,
               dpkg-dev (>= 1.15.1),
               gobject-introspection (>= 0.10.2-1~),
               gtk-doc-tools (>= 1.4),
               intltool (>= 0.40.6),
               libdbusmenu-gtk3-dev,
               libgdk-pixbuf2.0-dev (>= 2.22.0),
               libgirepository1.0-dev (>= 0.10.2-1~),
               libglib2.0-dev (>= 2.37.3),
               libgnomekbd-dev,
               libgtk-3-dev (>= 3.3.16),
               libx11-dev,
               libxkbfile-dev,
               meson (>= 0.40.0),
               python-gi-dev,
               python3,
               valac
Standards-Version: 4.5.0
Homepage: http://cinnamon.linuxmint.com/
Vcs-Browser: https://salsa.debian.org/cinnamon-team/xapp
Vcs-Git: https://salsa.debian.org/cinnamon-team/xapp.git

Package: gir1.2-xapp-1.0
Section: introspection
Architecture: any
Depends: ${gir:Depends}, ${misc:Depends}, ${python3:Depends}
Description: Introspection data for Xapp
 Xapp provides components which are common to multiple desktop environments
 and required to implement cross-DE solutions.
 .
 This package contains the introspection data for Xapp.
Breaks: cinnamon (<< 4.0), cinnamon-screensaver (<< 4.0)

Package: libxapp-dev
Section: libdevel
Architecture: any
Depends: gir1.2-xapp-1.0 (= ${binary:Version}),
         libgnomekbd-dev,
         libgtk-3-dev (>= 3.3.16),
         libxapp1 (= ${binary:Version}),
         libxkbfile-dev,
         ${misc:Depends}
Description: XApp library - development files
 Xapp provides components which are common to multiple desktop environments
 and required to implement cross-DE solutions.
 .
 This package provides the include files and static library for the Xapp
 library functions.

Package: libxapp1
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libgnomekbd8,
         xapps-common (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: XApp library
 Xapp provides components which are common to multiple desktop environments
 and required to implement cross-DE solutions.
 .
 This library is used by several Xapp apps.
Breaks: nemo (<< 4.0)

Package: xapps-common
Architecture: all
Multi-Arch: foreign
Depends: python3, python3-gi, xdg-utils, ${misc:Depends}, ${python3:Depends}
Recommends: gist, inxi
Description: Files that are common across Xapp desktop applications
 Xapp provides components which are common to multiple desktop environments
 and required to implement cross-DE solutions.
 .
 This package includes files that are shared between several XApp
 apps (i18n files and configuration schemas).
Breaks: cinnamon (<< 4.0)

Package: xapps-doc
Section: doc
Architecture: all
Depends: devhelp, ${misc:Depends}
Description: Libxapp documentation
 Xapp provides components which are common to multiple desktop environments
 and required to implement cross-DE solutions.
 .
 This package contains documentation for Xapp library

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed -Wl,-z,now

%:
	dh $@ --with=gir,python3

override_dh_auto_configure:
	dh_auto_configure -- \
	    -D libexecdir=lib/$(DEB_TARGET_MULTIARCH) \
	    -D docs=true \
	    -D deprecated_warnings=false

override_dh_strip:
	dh_strip --no-automatic-dbgsym

## xapp 1.8.10%2Bulyana

=== debian/changelog ===
xapp (1.8.10+ulyana) ulyana; urgency=medium

  [ Michael Webster ]
  * sn-item.c: Prefer an icon name from the system theme instead of always sending an icon path. This doesn't work for symbolic icons.
  * sn-item.c: Always set an available icon, regardless of visibility state requested by an app.  The icon and visibility state aren't necessarily set at the same time.

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 09 Sep 2020 10:39:34 +0100

xapp (1.8.9) ulyana; urgency=medium

  [ Michael Webster ]
  * sn-watcher.c: Move invocation completion to the registration callback.
  * sn-item.c: use a different method of fetching the pixmap.
  * Make property-retrieval fully asynchronous.
  * mate-xapp-status-applet.py: Adapt to change brought by 9c4d5e92d2eb288.
  * build: Allow making a library-only build for flatpak packaging.

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 14 Aug 2020 14:16:01 +0100

xapp (1.8.8) ulyana; urgency=medium

  [ Michael Webster ]
  * xapp-icon-chooser-button.c: Remove leftover debugging line.
  * xapp-sn-watcher: Create StatusNotifierItem proxies asynchronously, and don't try to load their properties.
  * xapp-sn-watcher: Add an app list to flag items that should have their tooltip replaced by the application name.
  * build: Make build of xapp-sn-watcher optional, defaulting to true.
  * xapp-sn-watcher: Add key to disable StatusNotifier support, but leave appindicator support enabled.

  [ Clement Lefebvre ]
  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 24 Jun 2020 13:21:16 +0100

xapp (1.8.7) ulyana; urgency=medium

  [ Clement Lefebvre ]
  * Update docs

  [ Michael Webster ]
  * xapp-status-icon.c: Get rid of the dead 'shadow' region around menus, as they can interfere with clicking on the icon to close the menu.
  * xapp-status-icon: Add new properties for menu/button state handling and one for metadata (miscellaneous info to help define behavior in the status applets).
  * xapp-sn-watcher: Set status icon metadata for appindicator icons, to inform the applet to highlight/toggle the panel icon with either button click when opening the menu.
  * mate-xapp-status-applet.py: Use new properties to sync button toggle state with the menu state.
  * test-scripts: Update some scripts to demonstrate new property use.
  * sn-item: Remove support for XAyatanaLabel.
  * xapp-sn-watcher: Update clear the registration list before freeing the table of registered items.

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 06 Jun 2020 14:29:58 +0100

=== debian/control ===
Source: xapp
Section: x11
Priority: optional
Maintainer: Clement Lefebvre <root@linuxmint.com>
Build-Depends:
 debhelper (>= 10),
 dh-python,
 dpkg-dev (>= 1.15.1),
 gobject-introspection (>= 0.10.2-1~),
 gtk-doc-tools (>= 1.4),
 intltool (>= 0.40.6),
 libgdk-pixbuf2.0-dev (>= 2.22.0),
 libgirepository1.0-dev (>= 0.10.2-1~),
 libglib2.0-dev (>= 2.37.3),
 libgnomekbd-dev,
 libgtk-3-dev (>= 3.3.16),
 libdbusmenu-gtk3-dev,
 libx11-dev,
 libxkbfile-dev,
 meson,
 python3,
 python-gi-dev,
 valac,
Standards-Version: 3.9.6

Package: gir1.2-xapp-1.0
Section: introspection
Architecture: any
Depends:
 ${gir:Depends},
 ${misc:Depends},
 ${python3:Depends},
 ${python:Depends},
 ${shlibs:Depends},
Description: Introspection data for XApp
 This package contains the introspection data for XApp.

Package: libxapp-dbg
Section: debug
Priority: extra
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libxapp1 (= ${binary:Version}), ${misc:Depends}
Description: XApp library - debug symbols
 This package contains the symbols files needed to debug the XApp library.

Package: libxapp-dev
Section: libdevel
Architecture: any
Depends:
 gir1.2-xapp-1.0 (= ${binary:Version}),
 libgnomekbd-dev,
 libgtk-3-dev (>= 3.3.16),
 libxapp1 (= ${binary:Version}),
 libxkbfile-dev,
 ${misc:Depends},
Description: XApp library - development files
 This package provides the include files and static library for the XApp
 library functions.

Package: libxapp1
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends:
 libgnomekbd8,
 xapps-common (>= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: XApp library
 This library is used by several Xapp apps.

Package: xapps-common
Architecture: all
Multi-Arch: foreign
Depends:
 inxi,
 python3,
 python3-gi,
 xdg-utils,
 ${misc:Depends},
 ${python3:Depends},
Description: Common files for XApp desktop apps
 This package includes files that are shared between several XApp
 apps (i18n files and configuration schemas).

Package: xapps-doc
Section: doc
Architecture: all
Depends: devhelp, ${misc:Depends}
Description: Libxapp documentation
 This package contains documentation for XApp library

## xapp 2.0.4

=== debian/changelog ===
xapp (2.0.4-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Wed, 16 Dec 2020 12:38:00 +0900

xapp (2.0.4-1) experimental; urgency=medium

  * New upstream version 2.0.4: drop upstream included fix-shebang

 -- Norbert Preining <norbert@preining.info>  Tue, 15 Dec 2020 12:59:17 +0900

xapp (2.0.3-1) experimental; urgency=medium

  * New upstream version 2.0.3
  * Fix shebang of session file
  * Lintian override for libc warning

 -- Norbert Preining <norbert@preining.info>  Fri, 11 Dec 2020 09:24:19 +0900

xapp (2.0.2-1) experimental; urgency=medium

  * New upstream version 2.0.2

 -- Norbert Preining <norbert@preining.info>  Tue, 08 Dec 2020 22:41:17 +0900

xapp (2.0.1-1) experimental; urgency=medium

  * New upstream version 2.0.1
  * revert upstream installation location switch from xsession.d to xinitrc.d
  * Fix wrong library name in libxapp1.symbols
  * Set proper permissions for Xsession file

 -- Norbert Preining <norbert@preining.info>  Tue, 08 Dec 2020 22:01:06 +0900

xapp (2.0.0-1) experimental; urgency=medium

  * New upstream release 2.0.0
  * Update list of installed files
  * Update symbols

 -- Norbert Preining <norbert@preining.info>  Tue, 01 Dec 2020 08:45:11 +0900

## xapp 2.0.5

=== debian/changelog ===
xapp (2.0.5-1~mx19+1) mx; urgency=medium

  * Initial packaging of upstream release for MX 19.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Mon, 04 Jan 2021 17:44:57 -0500

xapp (2.0.5-1) unstable; urgency=medium

  * New upstream version 2.0.5

 -- Norbert Preining <norbert@preining.info>  Sun, 03 Jan 2021 06:39:09 +0900

=== debian/rules ===
--- 
+++ 
@@ -7,11 +7,25 @@
 %:
 	dh $@ --with=gir,python3
 
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
+
 override_dh_auto_configure:
 	dh_auto_configure -- \
 	    -D libexecdir=lib/$(DEB_TARGET_MULTIARCH) \
 	    -D docs=true \
 	    -D deprecated_warnings=false
 
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym
+#
+# between xapp 2.0.0 and 2.0.1, upstream switched from installing
+# the Xsession file into /etc/X11/Xsession.d/ to /etc/X11/xinit/xinitrc.d/
+# Debian does not support the later, but Xinit load the Xsession.
+# Thus, undo this changes here
+execute_before_dh_install:
+	mkdir -p debian/tmp/etc/X11/Xsession.d/
+	mv debian/tmp/etc/X11/xinit/xinitrc.d/80xapp-gtk3-module.sh \
+	   debian/tmp/etc/X11/Xsession.d/80xapp-gtk3-module
+	chmod 0644 debian/tmp/etc/X11/Xsession.d/80xapp-gtk3-module
+	rmdir debian/tmp/etc/X11/xinit/xinitrc.d
+	rmdir debian/tmp/etc/X11/xinit
+

## xapp 2.0.6

=== debian/changelog ===
xapp (2.0.6-1~mx19+1) mx; urgency=medium

  * Initial packaging of upstream release for MX-19.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Thu, 11 Feb 2021 14:30:10 -0500

xapp (2.0.6-1) unstable; urgency=medium

  * New upstream version 2.0.6

 -- Norbert Preining <norbert@preining.info>  Sat, 16 Jan 2021 20:26:33 +0900

=== debian/control ===
Source: xapp
Section: x11
Priority: optional
Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
XSBC-Original-Maintainer: Debian Cinnamon Team <debian-cinnamon@lists.debian.org>
Uploaders:
 Maximiliano Curia <maxy@debian.org>,
 Margarita Manterola <marga@debian.org>,
 Norbert Preining <norbert@preining.info>
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 dpkg-dev (>= 1.15.1),
 gobject-introspection (>= 0.10.2-1~),
 gtk-doc-tools (>= 1.4),
 intltool (>= 0.40.6),
 libdbusmenu-gtk3-dev,
 libgdk-pixbuf2.0-dev (>= 2.22.0),
 libgirepository1.0-dev (>= 0.10.2-1~),
 libglib2.0-dev (>= 2.37.3),
 libgnomekbd-dev,
 libgtk-3-dev (>= 3.3.16),
 libx11-dev,
 libxkbfile-dev,
 meson (>= 0.40.0),
 python-gi-dev,
 python3,
 valac,
Standards-Version: 4.5.0
Homepage: http://cinnamon.linuxmint.com/
Vcs-Browser: https://salsa.debian.org/cinnamon-team/xapp
Vcs-Git: https://salsa.debian.org/cinnamon-team/xapp.git

Package: gir1.2-xapp-1.0
Section: introspection
Architecture: any
Depends:
 ${gir:Depends},
 ${misc:Depends},
 ${python3:Depends}
Description: Introspection data for Xapp
 Xapp provides components which are common to multiple desktop environments
 and required to implement cross-DE solutions.
 .
 This package contains the introspection data for Xapp.
Breaks: cinnamon (<< 4.0), cinnamon-screensaver (<< 4.0)

Package: libxapp-dev
Section: libdevel
Architecture: any
Depends:
 gir1.2-xapp-1.0 (= ${binary:Version}),
 libgnomekbd-dev,
 libgtk-3-dev (>= 3.3.16),
 libxapp1 (= ${binary:Version}),
 libxkbfile-dev,
 ${misc:Depends},
Description: XApp library - development files
 Xapp provides components which are common to multiple desktop environments
 and required to implement cross-DE solutions.
 .
 This package provides the include files and static library for the Xapp
 library functions.

Package: libxapp1
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends:
 libgnomekbd8,
 xapps-common (>= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: XApp library
 Xapp provides components which are common to multiple desktop environments
 and required to implement cross-DE solutions.
 .
 This library is used by several Xapp apps.
Breaks: nemo (<< 4.0)

Package: xapps-common
Architecture: all
Multi-Arch: foreign
Depends: python3, python3-gi, xdg-utils, ${misc:Depends}, ${python3:Depends}
Recommends: gist, inxi
Description: Files that are common across Xapp desktop applications
 Xapp provides components which are common to multiple desktop environments
 and required to implement cross-DE solutions.
 .
 This package includes files that are shared between several XApp
 apps (i18n files and configuration schemas).
Breaks: cinnamon (<< 4.0)

Package: xapps-doc
Section: doc
Architecture: all
Depends: devhelp, ${misc:Depends}
Description: Libxapp documentation
 Xapp provides components which are common to multiple desktop environments
 and required to implement cross-DE solutions.
 .
 This package contains documentation for Xapp library

## xapp 2.0.7~pearl10

=== debian/changelog ===
xapp (2.0.7~pearl10) unstable; urgency=medium

  * Initial build for Pearl 10 Buster

 -- Scott Vandergrift <scottvandergrift@gmail.com>  Fri, 05 Mar 2021 10:59:48 +0000

xapp (2.0.7) ulysa; urgency=medium

  [ Michael Webster ]
  * Don't build the gtk module for lib-only builds (flatpak).
  * xapp-favorites.c: Don't crash trying to remove a previously-removed favorite.
  * favorite-vfs-file-monitor.c: When handling folder updates, send out removals before additions.
  * xapp-util: Add a function to check whether the session is fully active.
  * xapp-sn-watcher.c: Skip the startup delay if the session has not finished loading.

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 26 Feb 2021 10:59:48 +0000

xapp (2.0.6) ulyssa; urgency=medium

  [ Michael Webster ]
  * 80xapp-gtk3-module.sh: Use GTK3_MODULES instead of GTK_MODULES.

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 12 Jan 2021 11:13:02 +0000

xapp (2.0.5) ulyssa; urgency=medium

  [ Michael Webster ]
  * favorite-vfs-file.c: Don't mark favorites that have unavailable target files as symbolic links.
  * favorite-vfs-file.c: Remove a file from favorites when deleted or trashed (but don't actually delete or trash them) - this brings the favorites behavior in line with recents.
  * favorite-vfs-file.c: Remove some methods that can't be supported.
  * Go back to leaving favorites with missing targets as symlinks.
  * favorite-vfs-file.c: Add thumbnailing preference to the filesystem info.
  * xapp-status-icon.c: Construct fallback dbus name from a non-localized string.
  * status icon: Replace g_get_application_name with g_get_progname everywhere else (followup to previous commit).
  * xapp-status-icon-monitor.c: fix typo.

  [ Clement Lefebvre ]
  * l10n: Update translations

  [ Michael Webster ]
  * xapp-gtk3-module.c: Add a mechanism to allow a GtkWindow's icon (#127)

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 02 Jan 2021 18:35:48 +0000

xapp (2.0.4) ulyssa; urgency=medium

  [ Leigh Scott ]
  * Change shebang path

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 13 Dec 2020 12:16:21 +0000

xapp (2.0.3) ulyssa; urgency=medium

  [ Eli Schwartz ]
  * fix "build/install: Make the favorite gtk module's xinit file executable."

  [ Leigh Scott ]
  * Add shebang to 80xapp-gtk3-module.sh

  [ Clement Lefebvre ]
  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 10 Dec 2020 12:14:28 +0000

xapp (2.0.2) ulyssa; urgency=medium

  * Add an extra icon for favorites

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 08 Dec 2020 12:57:01 +0000

xapp (2.0.1) ulyssa; urgency=medium

  [ Clement Lefebvre ]
  * Update docs

  [ Eli Schwartz ]
  * fix xorg-server startup variable

  [ Michael Webster ]
  * favorites: Make sure initializing favorites also initializes the uri scheme.
  * xapp-favorites.c: Add a note about the favorites uri in the class description.
  * build/install: Make the favorite gtk module's xinit file executable.
  * build: update some dependencies.
  * xapp-gtk3-module.c: Override GObject's constructed vfunc to inject the favorites uri into GtkPlacesSidebars rather than hooking onto a signal.
  * build: use buildtype=debugoptimized by default.
  * sn-item.c: Fix typo.
  * various: Fix some previously missed build warnings.
  * xapp-gtk3-module.c: Don't add a favorites section if there aren't any favorites.
  * favorite-vfs-file.c: Don't assume a GError was passed in for file_query_info.
  * favorite-vfs-file-enumerator.c: Fix a couple more places where an error was assumed.

  [ NikoKrause ]
  * change favorite icons

  [ Michael Webster ]
  * favorite-vfs-file.c: Don't free priv->uri until finalize.
  * favorites: Fix some leaks revealed by valgrind.

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 08 Dec 2020 10:07:26 +0000

xapp (2.0.0) ulyssa; urgency=medium

  [ Michael Webster ]
  * Bump for favorites support
  * .gitignore: Ignore the new debian build folder.
  * favorites: expose xapp_favorites_rename (), it was mistakenly made private during some cleanup.
  * xapp-gtk3-module.c: Don't initialize favorites until they're needed.
  * xapp-gtk3-module.c: Register the favorites uri scheme immediately, rather than when XAppFavorites is instantiated.
  * xapp-favorites: Add missing pointer to the DestroyData.

  [ Clement Lefebvre ]
  * l10n: Update POT

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 25 Nov 2020 11:27:06 +0000

## xapp 2.0.7

=== debian/changelog ===
xapp (2.0.7-1) unstable; urgency=medium

  [ Fabio Fantoni ]
  * New upstream bugfix version 2.0.7

 -- Norbert Preining <norbert@preining.info>  Tue, 02 Mar 2021 13:53:25 +0900

xapp (2.0.6-2) unstable; urgency=medium

  [ Fabio Fantoni ]
  * Move xapp-sn-watcher.desktop from xapps-common to libxapp1
    because contain arch dep. path (Closes: #983092)

 -- Norbert Preining <norbert@preining.info>  Sat, 20 Feb 2021 18:42:03 +0900

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: xapp
 Section: x11
 Priority: optional
-Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
-XSBC-Original-Maintainer: Debian Cinnamon Team <debian-cinnamon@lists.debian.org>
+Maintainer: Debian Cinnamon Team <debian-cinnamon@lists.debian.org>
 Uploaders:
  Maximiliano Curia <maxy@debian.org>,
  Margarita Manterola <marga@debian.org>,
@@ -77,7 +76,8 @@
  and required to implement cross-DE solutions.
  .
  This library is used by several Xapp apps.
-Breaks: nemo (<< 4.0)
+Replaces: xapps-common (<< 2.0.6-2~)
+Breaks: nemo (<< 4.0), xapps-common (<< 2.0.6-2~)
 
 Package: xapps-common
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -6,9 +6,6 @@
 
 %:
 	dh $@ --with=gir,python3
-
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym
 
 override_dh_auto_configure:
 	dh_auto_configure -- \

## xapp 2.2.2

=== debian/changelog ===
xapp (2.2.2-1~mx21+1) mx; urgency=medium

  * Initial packaging of upstream release for MX-21.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Wed, 07 Jul 2021 15:31:57 -0400

xapp (2.2.2) uma; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 25 Jun 2021 15:15:38 +0100

xapp (2.2.1) uma; urgency=medium

  [ Clement Lefebvre ]
  * Update docs

  [ Michael Webster ]
  * test-scripts: Add a QSystemTrayIcon script.
  * qt-system-tray.py: use a class.

  [ Clement Lefebvre ]
  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 10 Jun 2021 11:02:16 +0100

xapp (2.2.0) uma; urgency=medium

  [ Michael Webster ]
  * xapp-preferences-window.c: Hide the sidebar switcher initially to prevent it showing even with single-page views.
  * all: Add debug topics.
  * xapp-favorites.c: Free the favorite list when building a GtkMenu.

  [ Stephen Collins ]
  * Add a class to programmatically set styling on a particular widget.
  * util: add a utility function to convert from a pango font string to css (#135)

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 27 May 2021 09:36:10 +0100

## xapp 2.2.3

=== debian/changelog ===
xapp (2.2.3-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Wed, 29 Sep 2021 20:20:04 +0900

xapp (2.2.3-1) experimental; urgency=medium

  [ Fabio Fantoni ]
  * New upstream version 2.2.3

 -- Norbert Preining <norbert@preining.info>  Mon, 23 Aug 2021 13:23:57 +0900

## xapp 2.2.4

=== debian/changelog ===
xapp (2.2.4-1) unstable; urgency=medium

  * New upstream version 2.2.4

  * Drop --as-needed linker flag
  * Bump Standards-Version to 4.6.0.1, add rules-requires-root (no) field
  * Bump wach version (3 to 4)

 -- Joshua Peisach <itzswirlz2020@outlook.com>  Sat, 16 Oct 2021 09:35:15 -0400

=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 Uploaders:
  Maximiliano Curia <maxy@debian.org>,
  Margarita Manterola <marga@debian.org>,
+ Joshua Peisach <itzswirlz2020@outlook.com>,
  Norbert Preining <norbert@preining.info>
 Build-Depends:
  debhelper-compat (= 13),
@@ -25,7 +26,8 @@
  python-gi-dev,
  python3,
  valac,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0.1
+Rules-Requires-Root: no
 Homepage: http://cinnamon.linuxmint.com/
 Vcs-Browser: https://salsa.debian.org/cinnamon-team/xapp
 Vcs-Git: https://salsa.debian.org/cinnamon-team/xapp.git

=== debian/watch ===
version=4
opts="dversionmangle=s/\+repack//;s/\+dfsg//;s/\+up[0-9]//,filenamemangle=s/.*\/(.*)/xapp-$1/" \
  https://github.com/linuxmint/xapps/tags .*/v?(\d.*)\.(?:tgz|tar\.(?:gz|bz2|xz))

## xapp 2.2.5+debbie

=== debian/changelog ===
xapp (2.2.5+debbie) una; urgency=medium

  [ Michael Webster ]
  * xapp-favorites: Fix introspection notation for _get_favorites().
  * Fix a couple of build warnings.

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 22 Nov 2021 12:30:12 +0000

xapp (2.2.4) uma; urgency=medium

  [ Joshua Peisach ]
  * meson gir: Export 'xapp' as a package

  [ Michael Webster ]
  * xapp-gtk3-module.c: Apply window icon override to all windows for an app.

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 15 Oct 2021 15:43:58 +0100

xapp (2.2.3) uma; urgency=medium

  [ Michael Webster ]
  * mate status applet: Change icon name in applet definition file, and add a new icon to the xapp hicolor set.
  * Fix mate status icon.

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 23 Jul 2021 12:21:14 +0100

## xapp 2.2.8

=== debian/changelog ===
xapp (2.2.8-1) unstable; urgency=medium

  [ Fabio Fantoni ]
  * New upstream version 2.2.8

  [ Christoph Martin ]
  * add myself to uploaders

 -- Christoph Martin <martin@uni-mainz.de>  Thu, 27 Jan 2022 13:42:16 +0100

xapp (2.2.6-1) experimental; urgency=medium

  [ Joshua Peisach ]
  * Add dh-sequence-gir to build deps
  * Update debian/watch

  [ Fabio Fantoni ]
  * New upstream version 2.2.6
  * Use dh-sequence-python3
  * Use /usr/libxec as default in compat >=12 and FHS 3.0
  * Create new xapp package and move some files from libxapp1 to
    respect shared libraries policy (Closes: #1000824)
  * d/copyright: add Upstream-Contact and missed entries
  * add myself to uploaders field, missed some years ago

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Thu, 23 Dec 2021 10:56:47 +0100

=== debian/control ===
--- 
+++ 
@@ -5,11 +5,14 @@
 Uploaders:
  Maximiliano Curia <maxy@debian.org>,
  Margarita Manterola <marga@debian.org>,
+ Fabio Fantoni <fantonifabio@tiscali.it>,
  Joshua Peisach <itzswirlz2020@outlook.com>,
- Norbert Preining <norbert@preining.info>
+ Norbert Preining <norbert@preining.info>,
+ Christoph Martin <martin@uni-mainz.de>
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
+ dh-sequence-gir,
+ dh-sequence-python3,
  dpkg-dev (>= 1.15.1),
  gobject-introspection (>= 0.10.2-1~),
  gtk-doc-tools (>= 1.4),
@@ -32,6 +35,22 @@
 Vcs-Browser: https://salsa.debian.org/cinnamon-team/xapp
 Vcs-Git: https://salsa.debian.org/cinnamon-team/xapp.git
 
+Package: xapp
+Architecture: any
+Depends:
+ libgnomekbd8,
+ libxapp1 (= ${binary:Version}),
+ xapps-common (>= ${source:Version}),
+ ${misc:Depends},
+ ${shlibs:Depends},
+Breaks: libxapp1 (<< 2.2.6-1~)
+Replaces: libxapp1 (<< 2.2.6-1~)
+Description: Libraries and common resources for multiple desktop environments
+ Xapp provides components which are common to multiple desktop environments
+ and required to implement cross-DE solutions.
+ .
+ This package contains a gtk module and sn-watcher binary
+
 Package: gir1.2-xapp-1.0
 Section: introspection
 Architecture: any
@@ -44,7 +63,7 @@
  and required to implement cross-DE solutions.
  .
  This package contains the introspection data for Xapp.
-Breaks: cinnamon (<< 4.0), cinnamon-screensaver (<< 4.0)
+Breaks: cinnamon (<< 5.2), cinnamon-screensaver (<< 4.0)
 
 Package: libxapp-dev
 Section: libdevel
@@ -79,7 +98,7 @@
  .
  This library is used by several Xapp apps.
 Replaces: xapps-common (<< 2.0.6-2~)
-Breaks: nemo (<< 4.0), xapps-common (<< 2.0.6-2~)
+Breaks: nemo (<< 5.2), xapps-common (<< 2.0.6-2~)
 
 Package: xapps-common
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -2,14 +2,13 @@
 
 include /usr/share/dpkg/architecture.mk
 
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed -Wl,-z,now
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,now
 
 %:
-	dh $@ --with=gir,python3
+	dh $@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
-	    -D libexecdir=lib/$(DEB_TARGET_MULTIARCH) \
 	    -D docs=true \
 	    -D deprecated_warnings=false
 
@@ -25,4 +24,3 @@
 	chmod 0644 debian/tmp/etc/X11/Xsession.d/80xapp-gtk3-module
 	rmdir debian/tmp/etc/X11/xinit/xinitrc.d
 	rmdir debian/tmp/etc/X11/xinit
-

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%xapp-$1.tar.gz%" \
   https://github.com/linuxmint/xapp/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## xapp 2.2.12

=== debian/changelog ===
xapp (2.2.12-1) unstable; urgency=medium

  * New upstream version 2.2.12

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Mon, 27 Jun 2022 21:33:38 +0200

xapp (2.2.10-1) unstable; urgency=medium

  * New upstream version 2.2.10
  * Simplify d/watch
  * Update and improve lintian override

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Wed, 15 Jun 2022 09:22:11 +0200

## xapp 2.2.13+una

=== debian/changelog ===
xapp (2.2.13+una) vanessa; urgency=medium

  [ Michael Webster ]
  * xapp-icon-chooser-dialog: Don't lower-case paths.

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 15 Jul 2022 15:23:04 +0200

xapp (2.2.12) vanessa; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 27 Jun 2022 13:53:30 +0200

xapp (2.2.11) vanessa; urgency=medium

  * Update documentation
  * CI: Fix target names
  * Add a new icon xapp-edit-symbolic

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 15 Jun 2022 17:15:38 +0200

xapp (2.2.10) vanessa; urgency=medium

  [ Michael Webster ]
  * Add a debian/ symbols file.

  [ Clement Lefebvre ]
  * CI: Update targets

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 10 Jun 2022 09:47:35 +0200

xapp (2.2.9) vanessa; urgency=medium

  [ Michael Webster ]
  * Implement scroll events with the fallback icon (GtkStatusIcon).
  * sn-item.c: Handle Id property updates.
  * xapp-icon-chooser-dialog.c: Don't be case-sensitive when searching.

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 09 Jun 2022 15:44:34 +0200

xapp (2.2.8) una; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 31 Dec 2021 13:03:46 +0000

xapp (2.2.7) una; urgency=medium

  * icons: Add xapp-view-fit-height-symbolic and xapp-view-fit-width-symbolic

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 27 Dec 2021 13:09:50 +0000

xapp (2.2.6) una; urgency=medium

  [ Clement Lefebvre ]
  * Update documentation

  [ Michael Webster ]
  * xapp-favorites.c: Unescape the file uri before using it for display.

  [ Clement Lefebvre ]
  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 06 Dec 2021 15:54:47 +0000

xapp (2.2.5) una; urgency=medium

  [ Michael Webster ]
  * xapp-favorites: Fix introspection notation for _get_favorites().
  * Fix a couple of build warnings.

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 22 Nov 2021 12:30:12 +0000

## xapp 2.2.14

=== debian/changelog ===
xapp (2.2.14-1) unstable; urgency=medium

  * New upstream version 2.2.14

 -- Joshua Peisach <itzswirlz2020@outlook.com>  Tue, 16 Aug 2022 16:21:24 -0400

xapp (2.2.13-1) unstable; urgency=medium

  * New upstream version 2.2.13
  * Update d/copyright

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Sat, 16 Jul 2022 12:29:01 +0200

=== debian/control ===
--- 
+++ 
@@ -29,7 +29,7 @@
  python-gi-dev,
  python3,
  valac,
-Standards-Version: 4.6.0.1
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: http://cinnamon.linuxmint.com/
 Vcs-Browser: https://salsa.debian.org/cinnamon-team/xapp
